Table of Contents

Class: Session | Twisted-0.17.4/twisted/web/server.py
--- | ---

### A user's session with a system.

This utility class contains no functionality, but is used to represent a session.

Methods |
--- | ---
__init__ checkExpired expire notifyOnExpire touch
| __init__

    __init__ (
            self,
            site,
            uid,
            )

Initialize a session with a unique ID for that session.

| checkExpired

    checkExpired ( self )

| expire

    expire ( self )

Expire/logout of the session.

| notifyOnExpire

    notifyOnExpire ( self,  callback )

Call this callback when the session expires or logs out.

| touch

    touch ( self )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:53 2002 by HappyDoc version 2.0